// Global data for SD Card

#ifndef GLOBALS_H
#define	GLOBALS_H

#define CD_PORT		PORTCbits.RC1		// Card detect
#define CD_LAT		LATCbits.LATC1
#define CD_TRIS		TRISCbits.RC1

#define WP_PORT		PORTCbits.RC2		// Write Protect
#define WP_LAT		LATCbits.LATC2
#define WP_TRIS		TRISCbits.RC2

extern unsigned char protocol;
extern unsigned char debuglevel;

#ifdef	__cplusplus
extern "C" {
#endif

    void Globals_IO_init(void);
    unsigned char Globals_time_to_log(void);
    void delay_ms(unsigned int x);
    void delay_us(unsigned int x);

#ifdef	__cplusplus
}
#endif

#endif	/* GLOBALS_H */

