/*-------------------------------------------------------------------------
  sio.h - Serial in/out

             (c) 2010 Anders Gustafsson <anders.gustafsson@pedago.fi> 

-------------------------------------------------------------------------*/
#define true 1
#define false 0
#define BUFSIZE 128;

void sio_setup(void);
unsigned char sio_getch_available(void);
unsigned char sio_getch(void);
void sio_putch(unsigned char c);
void sio_puts(char *s);
void clear_usart_errors_inline(void);
void rx_handler(void);
//
extern volatile unsigned char rx_buff[128];
extern volatile unsigned char rx_ptr;
extern volatile unsigned char rx_flags;
extern volatile union
{
	struct
	{
		unsigned DataAvailable:1;
		unsigned :7;
	};
} rx_flagsbits;


