/*-------------------------------------------------------------------------
  db_utils.h - debug macros

             (c) 2013 Anders Gustafsson <anders.gustafsson@pedago.fi> 

	DBPUTC(c)	Print one char over serial for debugging
	DBPUTS(s)	Prints string s over serial for debugging

-------------------------------------------------------------------------*/


#if defined(__DEBUG)
#warning Compiled for DEBUG
	#define DBINIT()		sio_setup()
	#define DBPUTC(c)	  	sio_putch(c)
	#define DBPUTS(s)		sio_puts(s)
	#define DBSPRINTF		sprintf
#else
#warning Compiled for RELEASE
	#define DBINIT()
	#define DBPUTC(c)
	#define DBPUTS(s)
	#define DBSPRINTF
#endif



