// Global data for SD Card

#ifndef GLOBALS_H
#define	GLOBALS_H

#define CD_PORT		PORTCbits.RC1		// Card detect
#define CD_LAT		LATCbits.LATC1
#define CD_TRIS		TRISCbits.RC1

#define WP_PORT		PORTCbits.RC2		// Write Protect
#define WP_LAT		LATCbits.LATC2
#define WP_TRIS		TRISCbits.RC2

#define SDEBUG	// Turns on very verbose output
#define SDEBUG1	// Turns on output of individual GPIB bytes

#ifdef	__cplusplus
extern "C" {
#endif

//    #define ON 1
//    #define OFF 0
//    #define YES 1
//    #define NO 0
//    /*LCD 'menus'*/
//    #define START_UP 0
//    #define HOME 1
//    #define SET_TIME 2
//    #define ADJUST_LOG 3
//    
//
//    /*SD Data buffer items*/
//    #define CURRENT_DATE 0
//    #define TEMPS 2
//    #define CURRENT_TIME 4
//    #define FILE_TITLE 8
//
//    extern unsigned char HOME_SCREEN;
//    extern unsigned char CH;
//    extern unsigned char logging_active;
//    extern unsigned char active_screen;
//    extern unsigned char current_sensor;
//    extern char lcdtext_clk[];
//    extern char lcdtext_set[];
//    extern char lcdtext_time[];
//    extern char lcdtext_log[];
//    extern char lcdtext_temp[];
//    extern char lcdtext_run[];
//    extern char lcdtext_res[];
//    extern char lcdtext_loginit[];
//    extern char lcdtext_logstart[];
//    extern char lcdtext_logstop[];
//    extern char lcdtext_no_file[];
//    extern char lcdtext_no_path[];
//    extern char lcdtext_disk_error[];
//    extern char lcdtext_not_enabled[];
//    extern char lcdtext_no_sensor[];
//
//    typedef unsigned char uint8_t;
//    typedef unsigned char bool_t;
//    typedef unsigned long int uint32_t;
//
//    typedef struct
//    {
//        unsigned char hours;
//        unsigned char minutes;
//        unsigned char seconds;
//    }time_stamp;
//
//    extern time_stamp decimal_time;
//    extern time_stamp log_time;
//    extern time_stamp log_interval;

    void Globals_IO_init(void);
    unsigned char Globals_time_to_log(void);
    void delay_ms(unsigned int x);
    void delay_us(unsigned int x);

#ifdef	__cplusplus
}
#endif

#endif	/* GLOBALS_H */

